<template>
  <div id="app">
    <div v-if="isLoading">Loading ......</div>
    <div v-else>
        <div v-for="item in getItemsList" :key="item.id">
            {{ item.name }} - {{ item.gender }} - {{item.address}}
        
        </div>
        <br>
    </div>
    
    <router-view />
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'
export default {
  components: {
  },
  name: 'HomeView',
    data() {
        return {
            students:{},
        }
    },
    computed: {
        ...mapGetters('students',['getItemsList', 'isLoading']),
    },
    created() {
        this.loadList()
    },
    methods: {
        ...mapActions('students',['loadList', 'addItem', 'deleteItem', 'updateItem', 'loadFilteredData']),
    },
};
</script>

